> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get integritybase link check

> Check integrity of link fields in a base



## OpenAPI

````yaml /swagger.json get /integrity/base/{baseId}/link-check
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
paths:
  /integrity/base/{baseId}/link-check:
    get:
      tags:
        - integrity
      description: Check integrity of link fields in a base
      parameters:
        - schema:
            type: string
          required: true
          name: baseId
          in: path
        - schema:
            type: string
          required: true
          name: tableId
          in: query
      responses:
        '200':
          description: Returns integrity check results for the base
          content:
            application/json:
              schema:
                type: object
                properties:
                  hasIssues:
                    type: boolean
                  linkFieldIssues:
                    type: array
                    items:
                      type: object
                      properties:
                        baseId:
                          type: string
                          description: The base id of the link field with is cross-base
                        baseName:
                          type: string
                        tableId:
                          type: string
                        tableName:
                          type: string
                        issues:
                          type: array
                          items:
                            type: object
                            properties:
                              type:
                                type: string
                                enum:
                                  - ForeignTableNotFound
                                  - ForeignKeyNotFound
                                  - SelfKeyNotFound
                                  - SymmetricFieldNotFound
                                  - MissingRecordReference
                                  - InvalidLinkReference
                                  - ForeignKeyHostTableNotFound
                                  - ReferenceFieldNotFound
                                  - UniqueIndexNotFound
                                  - EmptyString
                              message:
                                type: string
                              fieldId:
                                type: string
                              tableId:
                                type: string
                            required:
                              - type
                              - message
                              - fieldId
                      required:
                        - issues
                required:
                  - hasIssues
                  - linkFieldIssues
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request GET \
              --url 'https://app.teable.ai/api/integrity/base/%7BbaseId%7D/link-check?tableId=SOME_STRING_VALUE' \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
        - lang: JavaScript
          source: >-
            const url =
            'https://app.teable.ai/api/integrity/base/%7BbaseId%7D/link-check?tableId=SOME_STRING_VALUE';

            const options = {method: 'GET', headers: {Authorization: 'Bearer
            REPLACE_BEARER_TOKEN'}};


            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: |-
            const http = require('https');

            const options = {
              method: 'GET',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/integrity/base/%7BbaseId%7D/link-check?tableId=SOME_STRING_VALUE',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN'
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.end();
        - lang: Python
          source: >-
            import http.client


            conn = http.client.HTTPSConnection("app.teable.ai")


            headers = { 'Authorization': "Bearer REPLACE_BEARER_TOKEN" }


            conn.request("GET",
            "/api/integrity/base/%7BbaseId%7D/link-check?tableId=SOME_STRING_VALUE",
            headers=headers)


            res = conn.getresponse()

            data = res.read()


            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````